> ## Documentation Index
> Fetch the complete documentation index at: https://docs.halth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create PMS integration

> Create a new PMS integration. The API key will be validated with the PMS and data will be synced asynchronously.



## OpenAPI

````yaml https://api.halth.com/v1/api-yaml post /v1/organisations/{organisationId}/pms-integrations
openapi: 3.0.0
info:
  title: HaltH API
  description: The API for the HaltH platform business services
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.halth.com
    description: Production
  - url: https://api.stg.halth.com
    description: Staging
security: []
tags: []
paths:
  /v1/organisations/{organisationId}/pms-integrations:
    post:
      tags:
        - PMS Integration
      summary: Create PMS integration
      description: >-
        Create a new PMS integration. The API key will be validated with the PMS
        and data will be synced asynchronously.
      operationId: PmsIntegrationController_create
      parameters:
        - name: organisationId
          required: true
          in: path
          schema:
            example: org_31XEcUshz1ymodA14HALnyP48g1
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PmsIntegrationCreateParams'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PmsIntegration'
components:
  schemas:
    PmsIntegrationCreateParams:
      type: object
      properties:
        pmsType:
          enum:
            - cliniko
            - nookal_v2
            - splose
          type: string
        apiKey:
          type: string
      required:
        - pmsType
        - apiKey
    PmsIntegration:
      type: object
      properties:
        id:
          type: string
        pmsType:
          enum:
            - cliniko
            - nookal_v2
            - splose
          type: string
        maskedApiKey:
          type: string
      required:
        - id
        - pmsType

````